CHATTR(1)

NAME
chattr - change file attributes on a Linux second extended file system

SYNOPSIS
chattr [ -RV ] [ -v version ] [ mode ] files...

DESCRIPTION
chattr changes the files attributes on an second extended file system.

The format of a symbolic mode is +-=[Scsu].

The operator `+' causes the selected attributes to be added to the existing attributes of the files; `-' causes them to be removed; and `=' causes them to be the only attributes that the files have.

The letters `Scsu' select the new attributes for the files: synchronous updates (S), compressed (c), secure deletion (s), and undeletable (u).

OPTIONS

-R  Recursively change attributes of directories and their contents.

-V  Verbosely describe changed attributes.

-v version
    Set the files version.

AUTHOR
chattr has been written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.

BUGS AND LIMITATIONS
As of ext2 fs 0.4, the kernel code only honours the `s' and `S' attributes. When a file with the `s' attribute set is deleted, its blocks are zeroed and written back to the disk. When a file with the `S' attribute set is modified, the changes are written synchronously on the disk; this is equivalent to the `sync' mount option applied to a subset of the files.

The other attributes will be implemented in a next ext2 fs version.

AVAILABILITY
chattr is available for anonymous ftp from ftp.ibp.fr (132.227.60.2) in /pub/linux/BETA/ext2fs.

SEE ALSO
lsattr(1)